Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
cert::ServerSSLCert::ReqInfo Struct Reference

Certificate signing request information. More...

## Public Attributes
CommonAttributes | subject
| Certificate subject attributes.
vector< string > | names
| DNS names and/or IP addresses.
KeyType | keyType
| Key type.
EllipticCurve | ellipticCurve
| Selected elliptic curve (only relevant if key type is ECDSA)
int | rsaKeyLength
| Length of the RSA key in bits (only relevant if key type is RSA)

## Detailed Description

Certificate signing request information.

If names is empty then commonName from the subject is used as single entry.

Definition at line 62 of file ServerSSLCert.idl.

## Member Data Documentation

## ◆ ellipticCurve

EllipticCurve cert::ServerSSLCert::ReqInfo::ellipticCurve

Selected elliptic curve (only relevant if key type is ECDSA)

Definition at line 66 of file ServerSSLCert.idl.

## ◆ keyType

KeyType cert::ServerSSLCert::ReqInfo::keyType

Key type.

Definition at line 65 of file ServerSSLCert.idl.

## ◆ names

vector<string> cert::ServerSSLCert::ReqInfo::names

DNS names and/or IP addresses.

Definition at line 64 of file ServerSSLCert.idl.

## ◆ rsaKeyLength

int cert::ServerSSLCert::ReqInfo::rsaKeyLength

Length of the RSA key in bits (only relevant if key type is RSA)

Definition at line 67 of file ServerSSLCert.idl.

## ◆ subject

CommonAttributes cert::ServerSSLCert::ReqInfo::subject

Certificate subject attributes.

Definition at line 63 of file ServerSSLCert.idl.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl